Safe Haskell | Safe

Bug613

Synopsis

- class Functor f where
- data ThreeVars a0 a b = ThreeVars a b

# Documentation

class Functor f where #

Minimal complete definition

fmap

Methods

fmap :: (a -> b) -> f a -> f b #

Instances

Functor (Either a) # |
Instance details Methods fmap :: (a0 -> b) -> Either a a0 -> Either a b #
Functor (ThreeVars a0 a) # |
Instance details Methods fmap :: (a1 -> b) -> ThreeVars a0 a a1 -> ThreeVars a0 a b #

data ThreeVars a0 a b #

Phantom type a0 is added to block the first renaming from a to a0. This ensures that the renamer doesn't create a new conflict

Constructors

ThreeVars a b |

Instances

Functor (ThreeVars a0 a) # |
Instance details Methods fmap :: (a1 -> b) -> ThreeVars a0 a a1 -> ThreeVars a0 a b #